.TH wxBitmapButton 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxBitmapButton \- See external documentation: wxBitmapButton\&.
.SH DESCRIPTION
.LP
See external documentation: wxBitmapButton <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbitmapbutton\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxButton 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxBitmapButton()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxBitmapButton()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbitmapbutton\&.html#wxbitmapbuttonwxbitmapbutton>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Bitmap::wxBitmap() (see module wxBitmap)) -> wxBitmapButton()
.br
.RS
.LP
Equivalent to new(Parent, Id, Bitmap, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Bitmap::wxBitmap() (see module wxBitmap), Options::[Option]) -> wxBitmapButton()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbitmapbutton\&.html#wxbitmapbuttonwxbitmapbutton>\&.
.RE
.LP
.B
create(This::wxBitmapButton(), Parent::wxWindow() (see module wxWindow), Id::integer(), Bitmap::wxBitmap() (see module wxBitmap)) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, Bitmap, [])\&.
.RE
.LP
.B
create(This::wxBitmapButton(), Parent::wxWindow() (see module wxWindow), Id::integer(), Bitmap::wxBitmap() (see module wxBitmap), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbitmapbutton\&.html#wxbitmapbuttoncreate>\&.
.RE
.LP
.B
getBitmapDisabled(This::wxBitmapButton()) -> wxBitmap() (see module wxBitmap)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbitmapbutton\&.html#wxbitmapbuttongetbitmapdisabled>\&.
.RE
.LP
.B
getBitmapFocus(This::wxBitmapButton()) -> wxBitmap() (see module wxBitmap)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbitmapbutton\&.html#wxbitmapbuttongetbitmapfocus>\&.
.RE
.LP
.B
getBitmapLabel(This::wxBitmapButton()) -> wxBitmap() (see module wxBitmap)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbitmapbutton\&.html#wxbitmapbuttongetbitmaplabel>\&.
.RE
.LP
.B
getBitmapSelected(This::wxBitmapButton()) -> wxBitmap() (see module wxBitmap)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbitmapbutton\&.html#wxbitmapbuttongetbitmapselected>\&.
.RE
.LP
.B
setBitmapDisabled(This::wxBitmapButton(), Disabled::wxBitmap() (see module wxBitmap)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbitmapbutton\&.html#wxbitmapbuttonsetbitmapdisabled>\&.
.RE
.LP
.B
setBitmapFocus(This::wxBitmapButton(), Focus::wxBitmap() (see module wxBitmap)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbitmapbutton\&.html#wxbitmapbuttonsetbitmapfocus>\&.
.RE
.LP
.B
setBitmapLabel(This::wxBitmapButton(), Bitmap::wxBitmap() (see module wxBitmap)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbitmapbutton\&.html#wxbitmapbuttonsetbitmaplabel>\&.
.RE
.LP
.B
setBitmapSelected(This::wxBitmapButton(), Sel::wxBitmap() (see module wxBitmap)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbitmapbutton\&.html#wxbitmapbuttonsetbitmapselected>\&.
.RE
.LP
.B
destroy(This::wxBitmapButton()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
